<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */
require_once 'Net/UserAgent/Mobile.php';

/**
 * お知らせの詳細表示
 *
 * @package     Mobile.Newsdetail
 * @author      netnee <mail@example.com>
 * @access      public
 */
class Mobile_Newsdetail
{

    var $view;
    var $news;
    
    var $cd;
    var $res;
    
    
    /**
     * execute
     *
     * @access  public
     */
    function execute()
    {
        $mobile = &Net_UserAgent_Mobile::isMobile();
        if (!$mobile) {
            return 'notmobile';
        }

        $log =& LogFactory::getLog();
        $log->debug("Mobile_Newsdetail", "Mobile_Newsdetail#execute");
        
        $this->res = $this->news->selectKey($this->cd);
        
        return 'success';
    }
    
    function getNewsBodyData(){
        return $this->res[body];
    }
    
}
?>
